* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;

}



nav{
  position: static;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 20px;
    padding-left: 10%;
    padding-right: 10%;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;

    
}

nav img{
    padding: 1%;
    margin-left: -20%;
    margin-right: 21%;
}

.logo{
    
    display: flex;
    align-items: center;
    margin-top: -3%;
}

.logopic{
  display: flex;
  flex-direction: row;
}

nav ul li{
list-style-type: none;
display: inline-block;
padding: 10px 20px;


}

nav ul li a{
    color: black;
    text-decoration: none;
    font-weight: bold;
    
}
nav a{
  position: relative;
  font-size: 16px;
  color: black;
  font-weight: 500;
  text-decoration: none;
  margin-left: 15px;
}

a{
  position: relative;
  font-size: 18px;
  color: black;
  font-weight: 500;
  text-decoration: none;
  margin-left: 15px;
}

nav a::before{
  content: '';
  position: absolute;
  top: 100%;
  left: 0;
  width: 0;
  height: 3px;
  background-color:  #42a4c2;
  transition: .3s;
}

nav a:hover::before{
  width: 100%;
}

nav ul li a:hover{
    color: #42a4c2;
    transition: .3s;
}

.menu{
    
    margin-right: -5%;
}


.menu i {
    font-size: 35px; 
    cursor: pointer;
}


.sub-menu-wrap {
  position: absolute;
  top: 80px; 
  right: 50px; 
  width: 250px;
  max-height: 0px;
  overflow: hidden;
  transition: 1s;
  z-index: 1000;
  border-radius:  0% 100% 0% 100% / 86% 9% 91% 14% ;
  background: rgba( 242, 130, 160, 0.1 );
  box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
  backdrop-filter: blur( 5px );
  -webkit-backdrop-filter: blur( 5px );


  

  
}

.sub-menu-wrap.open-menu {
  max-height: 400px;


}


.sub-menu{
  background: rgba( 242, 130, 160, 0.1 );
  box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
  backdrop-filter: blur( 5px );
  -webkit-backdrop-filter: blur( 5px );
  padding: 20%;

  
}

.user-info{
  display:flex;
  align-items: center;
}

.user-info img{
  border-radius: 50%;
  height: 10px;
  width: 10px;
}

.user-info h2{
  font-weight: 500;
}

.user-info img{
  height: 60px;
  width: 60px;
margin-right: 15px;
}

.sub-menu hr{
  border: 0;
  height: 1px;
  width: 100%;
  background: #000000;
  margin: 15px 0 10px;
}

.sub-menu-link{
  display: flex;
  align-items: center;
  text-decoration: none;
  color:#000000;
  margin: 12px 0;

}
.sub-menu-link p{
  color: #000000;
  width: 100%;
  transition: 0.2s;

  
}



.sub-menu-link img{
  width: 40px;
  height: 40px;
  background: #e5e5e5;
  border-radius: 50%;
  padding: 8px;
  margin-right: 15px;
}

.sub-menu-link span{
  font-size: 22px;
  transition: transform 0.5s;
}

.sub-menu-link:hover span{
  transform: translateX(5px);
  color: #000;

}

.sub-menu-link:hover p{
  font-weight: 700;
  font-size: 18px;
  transition: 0.6s;
  
}

.sub-menu-link:hover{
  text-decoration: none;
}


.postings {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 20px;
    justify-content: center;
}

.posting-card {
    background-color: white;
    border: 1px solid #ddd;
    border-radius: 10px;
    width: 300px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    text-align: center;
    transition: 0.5s ease;
}

.posting-card img {
    width: 100%;
    border-radius: 10px;
    height: 250px;
}

.posting-card h3 {
    margin: 15px 0;
    font-size: 20px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

.posting-card p {
    color: #666;
    font-size: 16px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.posting-card strong{
    display: flex;
    justify-content: left;
    margin-top: 3%;
}

.posting-card:hover{
    transition: 0.5s;
    transform: scale(1.03);
    cursor: pointer;
}


.buttons {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
    
    
}

.buttons button {
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}

.btn-delete {
    background-color: #ff4c4c;
    color: white;
}

.btn-found {
    background-color: #42a4c2;
    color: white;
}



.button1 {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: rgb(20, 20, 20);
    border: none;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.164);
    cursor: pointer;
    transition-duration: .3s;
    overflow: hidden;
    position: relative;
  }
  
  .svgIcon {
    width: 12px;
    transition-duration: .3s;
  }
  
  .svgIcon path {
    fill: white;
  }
  
  .button1:hover {
    width: 140px;
    border-radius: 50px;
    transition-duration: .3s;
    background-color: rgb(255, 69, 69);
    align-items: center;
  }
  
  .button1:hover .svgIcon {
    width: 50px;
    transition-duration: .3s;
    transform: translateY(60%);
  }
  
  .button1::before {
    position: absolute;
    top: -20px;
    content: "Delete";
    color: white;
    transition-duration: .3s;
    font-size: 2px;
  }
  
  .button1:hover::before {
    font-size: 13px;
    opacity: 1;
    transform: translateY(30px);
    transition-duration: .3s;
  }







  button {
    position: relative;
    padding: 12px 35px;
    background: #ee5c81;
    font-size: 17px;
    font-weight: 500;
    color: #181818;
    border: 3px solid #ffffff;
    border-radius: 8px;
    box-shadow: 0 0 0 #534c468c;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
  }
  
  .star-1 {
    position: absolute;
    top: 20%;
    left: 20%;
    width: 25px;
    height: auto;
    filter: drop-shadow(0 0 0 #fc7796);
    z-index: -5;
    transition: all 1s cubic-bezier(0.05, 0.83, 0.43, 0.96);
  }
  
  .star-2 {
    position: absolute;
    top: 45%;
    left: 45%;
    width: 15px;
    height: auto;
    filter: drop-shadow(0 0 0 #fc7796);
    z-index: -5;
    transition: all 1s cubic-bezier(0, 0.4, 0, 1.01);
  }
  
  .star-3 {
    position: absolute;
    top: 40%;
    left: 40%;
    width: 5px;
    height: auto;
    filter: drop-shadow(0 0 0 #fc7796 );
    z-index: -5;
    transition: all 1s cubic-bezier(0, 0.4, 0, 1.01);
  }
  
  .star-4 {
    position: absolute;
    top: 20%;
    left: 40%;
    width: 8px;
    height: auto;
    filter: drop-shadow(0 0 0 #fc7796);
    z-index: -5;
    transition: all 0.8s cubic-bezier(0, 0.4, 0, 1.01);
  }
  
  .star-5 {
    position: absolute;
    top: 25%;
    left: 45%;
    width: 15px;
    height: auto;
    filter: drop-shadow(0 0 0 #fc7796);
    z-index: -5;
    transition: all 0.6s cubic-bezier(0, 0.4, 0, 1.01);
  }
  
  .star-6 {
    position: absolute;
    top: 5%;
    left: 50%;
    width: 5px;
    height: auto;
    filter: drop-shadow(0 0 0 #fc7796);
    z-index: -5;
    transition: all 0.8s ease;
  }
  
  button:hover {
    background: transparent;
    color: #681327;
    box-shadow: 0 0 25px #b97f8c;
  }
  
  button:hover .star-1 {
    position: absolute;
    top: -80%;
    left: -30%;
    width: 25px;
    height: auto;
    filter: drop-shadow(0 0 10px #fc7796);
    z-index: 2;
  }
  
  button:hover .star-2 {
    position: absolute;
    top: -25%;
    left: 10%;
    width: 15px;
    height: auto;
    filter: drop-shadow(0 0 10px #fc7796);
    z-index: 2;
  }
  
  button:hover .star-3 {
    position: absolute;
    top: 55%;
    left: 25%;
    width: 5px;
    height: auto;
    filter: drop-shadow(0 0 10px #fc7796);
    z-index: 2;
  }
  
  button:hover .star-4 {
    position: absolute;
    top: 30%;
    left: 80%;
    width: 8px;
    height: auto;
    filter: drop-shadow(0 0 10px #fc7796);
    z-index: 2;
  }
  
  button:hover .star-5 {
    position: absolute;
    top: 25%;
    left: 115%;
    width: 15px;
    height: auto;
    filter: drop-shadow(0 0 10px #fc7796);
    z-index: 2;
  }
  
  button:hover .star-6 {
    position: absolute;
    top: 5%;
    left: 60%;
    width: 5px;
    height: auto;
    filter: drop-shadow(0 0 10px #fc7796);
    z-index: 2;
  }
  
  .fil0 {
    fill: #fffdef;
  }
  
  .footer {
    background-color: #fff;
    padding: 40px 0;
    text-align: center;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  }
  
  .footer-logo {
    max-width: 800px; 
    margin-bottom: 20px;
  }
  
  .footer-nav {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
  
  .footer-links {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    gap: 20px;
  }
  
  .footer-links li {
    display: inline;
  }
  
  .footer-links a {
    text-decoration: none;
    color: #000;
    font-weight: bold;
  }
  
  .footer-links a:hover {
    color: #42a4c2;
    transition: 0.3s;
  }
  
  .footer-social {
    margin: 20px 0;
  }
  
  .footer-social p {
    margin-bottom: 10px;
    font-size: 1.1em;
  }
  
  .footer-copyright {
    margin-top: 20px;
    font-size: 0.9em;
    color: #777;
  }
  
  #chatSection {
    display: none;
    position: fixed;
    bottom: 0;
    right: 0;
    width: 400px;
    height: 100vh;
    z-index: 2000;
    background: #fff;
    overflow: hidden;
    top: 0;
  }
  
  #chatSection.active {
    display: block;
  }
  
  .container-chat {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    background: #ffffff;
    flex-direction: column;
    height: 100%;
    position: relative;
    z-index: 2;
  }
  
  
  .header-chat {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
    background-color: #42a4c2;
    color: #ffffff;
  }
  
  /* ESTILO CHAT */
  
  .voltar button {
    width: 80px;
    height: 30px;
    background: none;
    border: none;
  }
  
  .nome {
    font-weight: bold;
    flex: 1;
    text-align: center;
  }
  
  .nome p {
    margin: 0;
    font-size: 18px;
    font-weight: bold;
  }
  
  .foto {
    flex: 0 0 50px;
  }
  
  .ft_user {
    width: 40px;
    height: auto;
    border-radius: 50%;
    border: 2px solid #ffffff;
  }
  
  .chat-box {
    flex: 1;
    padding: 10px;
    background-color: #f9f9f9;
    overflow-y: auto;
    border-top: 1px solid #ddd;
    display: flex;
    flex-direction: column;
  }
  
  .msg-user {
    align-self: flex-end;
    background-color: pink;
    color: #ffffff;
    padding: 10px;
    border-radius: 10px;
    max-width: 70%;
    margin-bottom: 10px;
    position: relative;
    min-width: 15%;
    height: auto;
  }
  
  .msg-adm {
    align-self: flex-start;
    background-color: #42a4c2;
    color: #000000;
    padding: 10px;
    border-radius: 10px;
    max-width: 70%;
    margin-bottom: 10px;
    border: 1px solid #ddd;
    position: relative;
    height: auto;
  }
  
  .msg-user,
  .msg-adm {
    word-wrap: break-word;
    word-break: break-word;
  }
  
  .time {
    font-size: 12px;
    color: white;
    margin-top: 5px;
  }
  
  .msg-user .time {
    text-align: left;
    color: white;
  }
  
  .msg-adm .time {
    text-align: right;
    position: relative;
  }
  
  .mensager {
    display: flex;
    align-items: center;
    padding: 10px;
    background-color: #ffffff;
    border-top: 1px solid #ddd;
    position: fixed;
    bottom: 0;
    right: 0;
    width: 400px;
    z-index: 1000;
  }
  
  .mensager input {
    flex: 1;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
    margin-right: 10px;
  }
  
  .mensager button {
    padding: 10px 15px;
    background-color: pink;
    border: none;
    color: #ffffff;
    border-radius: 4px;
    cursor: pointer;
    transition: 0.3s ease, color 0.3s ease;
  }
  
  .mensager button:hover {
    background-color: #42a4c2;
    color: #ffffff;
  }
  
  
  
  /*  FECHAR CHAT */
  .close-chat {
    cursor: pointer;
  }
  
@media (max-width: 768px) {
    .logo {
        display: none;
    }

    nav ul {
        display: none;
    }

    .menu i {
        font-size: 35px;
    }

    .postings {
        flex-direction: column;
        align-items: center;
    }

    .posting-card {
        width: 90%; 
        margin-bottom: 20px;
    }

    .sub-menu-wrap.open-menu {
        max-height: 800px;
      
      
      }
    

      .footer-links {
        display: none;
       
        
      }
    
      
   

}
